import { Entity, OneToMany, PrimaryGeneratedColumn } from 'typeorm';
import { PairMember } from './pair-member.entity';

@Entity('pairs')
export class Pair {
  @PrimaryGeneratedColumn()
  id!: number;

  @OneToMany(() => PairMember, (pairMember) => pairMember.pair)
  pairMembers: PairMember[];
}
